LINUX.ORG.RU

Сломалась сборка кед

 ,


0

3

cast Pinkbyte. После вот этого коммита https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d53d0578 сломалась сборка кед ибо

  (kde-frameworks/kactivities-4.13.3-r2:4/4.13::gentoo, ebuild scheduled for merge) pulled in by
    kde-frameworks/kactivities:4 required by (kde-apps/plasma-runtime-16.04.3:4/16.04::gentoo, ebuild scheduled for merge)

  (kde-plasma/kactivitymanagerd-5.7.5:5/5::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-plasma/kactivitymanagerd-5.7.5:5 required by (kde-plasma/plasma-meta-5.7.5:5/5::gentoo, ebuild scheduled for merge)
    >=kde-plasma/kactivitymanagerd-5.4.1:5 required by (kde-frameworks/kactivities-5.26.0:5/5.26::gentoo, ebuild scheduled for merge)
    kde-plasma/kactivitymanagerd:5 required by (kde-frameworks/kactivities-4.13.3-r2:4/4.13::gentoo, ebuild scheduled for merge)

  (kde-apps/kio-extras-16.04.3:5/5::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-apps/kio-extras-14.12.0:5 required by (kde-plasma/plasma-workspace-5.7.5:5/5::gentoo, ebuild scheduled for merge)
    >=kde-apps/kio-extras-16.04.3:5 required by (kde-apps/dolphin-16.04.3:5/5::gentoo, installed)

всплыли kactivities:4, которые конфликтуют с kio-extras и kde-plasma/kactivitymanagerd-5.7.5
[blocks B      ] <kde-frameworks/kactivities-5.20.0 ("<kde-frameworks/kactivities-5.20.0" is blocking kde-plasma/kactivitymanagerd-5.7.5, kde-apps/kio-extras-16.04.3)
На системе где кеды были обновлены до крайних(~ из kde) все ок, но на новой вот такая вот фигня которая не дает ничего сделать

ЗЫ багрепорт не писал т.к. хз, мож вот этом есть какой-то тайный смысл и все ещё будет

★★★★★

В kactivities-4.13.3-r2.ebuild есть зависимость от kde-plasma/kactivitymanagerd:5. Можно в локальном оверлее её убрать, у меня собралось и вроде ничего не отвалилось в кедах.

thorus_dv ()
Ответ на: комментарий от thorus_dv

Ну, я сделал временно и проще - откатил дерево на 7е число. Мне не понятно, для каких целей вытащили из небытия это

[I] kde-frameworks/kactivities
     Доступные версии:      
     (4)    4.13.3-r2(4/4.13)
так и вшарашили в зависимости для пятокед?! Потому, кастанул Pinkbyte, мож он в курсе

fang90 ★★★★★ ()
Последнее исправление: fang90 (всего исправлений: 2)
Ответ на: комментарий от fang90
kde-apps/konqueror
Доступные версии:      (4) 16.04.3-r1(4/16.04)^t ~16.08.3(4/16.08)^t {aqua +bookmarks debug +filemanager +handbook svg}

Чтобы работал флаг filemanager нужен kde-base/kactivities, а он только

Доступные версии:      (4) 4.13.3-r2(4/4.13)
С kde-frameworks/kactivities он не работает. Вот и вся ошибка. Переделывать его в Plasma 5 никто не будет. Нужно запретить использовать kde-apps/konqueror в Plasma 5.

newprikolist ()

Cам я потихоньку сваливаю на fluxbox, оставляя только KDE-шные приложения(Plasma 5 ужасна :-(). Что там мутит KDE team я не в курсе, но тут расследование уже и без меня вполне хорошо провели )))

Pinkbyte ★★★★★ ()
Ответ на: комментарий от newprikolist

Нужно запретить использовать kde-apps/konqueror в Plasma 5

блин, он у меня даже не установлен, а зависимость есть...странно :/

fang90 ★★★★★ ()
Ответ на: комментарий от Pinkbyte

Жаль, что сваливаешь. А по ужасности плазмы, по мне так - было все ок пока девелоперы кде не решили стабилизировать 5ю ветку, ну и меинтейнеры генты подтянулись вот:(

fang90 ★★★★★ ()
Ответ на: комментарий от newprikolist

Подробнее что именно? Как запустить fluxbox и пользоваться приложениями из KDE 5?

Ставим qt5ct, прописываем в bashrc:

[ "$XDG_CURRENT_DESKTOP" = "KDE" ] || [ "$XDG_CURRENT_DESKTOP" = "GNOME" ] || export QT_QPA_PLATFORMTHEME="qt5ct"

И вуаля - наслаждаемся приложениями из KDE 5 без Plasma.

Или почему Plasma 5 - убогое говно, косящее под нелюбимый мной Material design? Вкусовщина это, мне она не нравится, Plasma из KDE4 закопали; вывод - надо валить. Предвидя вопрос - нет, темами с *look.org это не исправишь, это не найти нормальную прозрачную тему для Plasma 4.

Дома я уже свалил, на работе - в процессе(подумываю о WindowMaker вместо fluxbox - там он чутка получше в мой workflow впишется наверное).

Pinkbyte ★★★★★ ()
Ответ на: комментарий от fang90

Ну архитектурно она вроде как получше старой плазмы, но, как я уже сказал - для меня оно умерло когда начало косить под модную нынче плоскоту.

Pinkbyte ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.